Python
import requests
url = "https://app.langwatch.ai/api/v1/groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.langwatch.ai/api/v1/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://app.langwatch.ai/api/v1/groups \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"externalId": "<string>",
"scimSource": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"memberCount": 4503599627370495,
"bindings": [
{
"id": "<string>",
"role": "ADMIN",
"customRoleId": "<string>",
"customRoleName": "<string>",
"scopeType": "ORGANIZATION",
"scopeId": "<string>"
}
]
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 4503599627370495
}
}Groups
List groups
List all groups for the organization
GET
/
api
/
v1
/
groups
Python
import requests
url = "https://app.langwatch.ai/api/v1/groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.langwatch.ai/api/v1/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://app.langwatch.ai/api/v1/groups \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"externalId": "<string>",
"scimSource": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"memberCount": 4503599627370495,
"bindings": [
{
"id": "<string>",
"role": "ADMIN",
"customRoleId": "<string>",
"customRoleName": "<string>",
"scopeType": "ORGANIZATION",
"scopeId": "<string>"
}
]
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 4503599627370495
}
}Authorizations
Admin API key for organization-level operations (managing projects, API keys). Create one in Settings > API Keys or via POST /api/api-keys. Format: sk-lw-{id}_{secret}.
Query Parameters
Required range:
x <= 9007199254740991Required range:
x <= 1000Last modified on October 12, 2026
Was this page helpful?